1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

I have 2.71 PSP can I use a SNES emulator?

Discussion in 'Sony PSP - Mod and firmware discussion' started by gapstone, Jul 1, 2007.

  1. gapstone

    gapstone Member

    Joined:
    Jul 1, 2007
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    11
    I have a 2.71 Version PSP. I see there are so many homebrews out for 1.5, and others, but honestly what should I do? Should I downgrade to 1.5, or should I uprade to a higher version? Or is there some emulators and homebrew that can run on 2.71? I would like to get a SNES emulator, and maybe a PS1 emulator. any advice from some of you pros would be awsome. thanks!
     
  2. faqman98

    faqman98 Regular member

    Joined:
    Apr 12, 2007
    Messages:
    748
    Likes Received:
    0
    Trophy Points:
    26
    downgrading to 1.5 then to 3.50oe would be most advisable (because of th e built in ps1 emulator) but DAX has released lots of HEN for 2.71 so it's realy up to you whether you have the stones to downgrade your psp (its realy not that risky)
     
  3. redice

    redice Regular member

    Joined:
    Jul 19, 2005
    Messages:
    939
    Likes Received:
    0
    Trophy Points:
    26
    there is no 3.50oe yet so he/she would have to use 3.40oe-a or a lower version oe firmware.
     
  4. faqman98

    faqman98 Regular member

    Joined:
    Apr 12, 2007
    Messages:
    748
    Likes Received:
    0
    Trophy Points:
    26
    my bad
     

Share This Page